class_name Bullet extends Area2D

var speed = 750

signal hit(bullet, body)

func setSpeed(value):
	speed = value
	
#animation
func _physics_process(delta: float) -> void:
	position += transform.x * speed * delta


func _on_body_shape_entered(body_rid: RID, body: Node2D, body_shape_index: int, local_shape_index: int) -> void:
	print("bullet collision")
	hit.emit(self, body)
