extends Node

var bulletsFiredTotal = 0
var bulletsMadeTotal = 0
var bulletArray= []

var bullet = preload("res://Scenes/bullet.tscn")

# bullet factory - makes bullets
func bulletFactory():
	var mybullet
	if bulletArray.size() < 8:
		print("new bullet at factory")
		mybullet = bullet.instantiate()
		mybullet.connect("hit", bulletHit)
	else:
		print("recycled bullet at factory")
		mybullet = bulletArray.pop_back()
		
	bulletArray.push_front(mybullet)
	return mybullet
# order desk for bullets 
func makeBullet(position, speed):
	print("make a bullet")
	var newBullet = bulletFactory()
	owner.add_child(newBullet)
	newBullet.setSpeed(speed)
	newBullet.transform = position
func bulletHit(bullet, body):
	print("tell the game controller a bullet hit smthn")
	
	
	
	
	
	
